{
  "format_version": "1.10.0",
  "animations": {
    "animation.silverlabs_nat.alligator.defensive_mode_check": {
      "loop": true,
      "animation_length": 1.0,
      "timeline": {
        "0.0": [
          "/execute at @s if entity @e[family=silverlabs_nat:alligator_egg,r=10] run event entity @s silverlabs_nat:defending_eggs",
          "/execute at @s unless entity @e[family=silverlabs_nat:alligator_egg,r=10] run event entity @s silverlabs_nat:not_defending_eggs"
        ]
      }
    }
  }
}
